Package org.apache.sysds.utils.stats

## Class FederatedCompressionStatistics

- java.lang.Object
- - org.apache.sysds.utils.stats.FederatedCompressionStatistics

    public class FederatedCompressionStatistics
    extends Object

### Constructor Summary

Constructors
`FederatedCompressionStatistics()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `decodingStep​(long decodingMillis, long beforeSize, long afterSize)`
`static void` `encodingStep​(long encodingMillis, long beforeSize, long afterSize)`
`static void` `reset()`
`static String` `statistics()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FederatedCompressionStatistics

    public FederatedCompressionStatistics()

### Method Detail

#### encodingStep

    public static void encodingStep​(long encodingMillis,
                                    long beforeSize,
                                    long afterSize)

#### decodingStep

    public static void decodingStep​(long decodingMillis,
                                    long beforeSize,
                                    long afterSize)

#### reset

    public static void reset()

#### statistics

    public static String statistics()